Bug 210174 - kdump fails when the dump parition is specified as a label in /etc/kdump.conf
kdump fails when the dump parition is specified as a label in /etc/kdump.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 12:08 EDT by Nobuhiro Tachino
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 12:13:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mkdumprd.diff (1015 bytes, patch)
2006-10-10 12:08 EDT, Nobuhiro Tachino
no flags Details | Diff

  None (edit)
Description Nobuhiro Tachino 2006-10-10 12:08:45 EDT
Description of problem:

/etc/kdump.conf does not allow to specify the dump partition as a label.

Version-Release number of selected component (if applicable):

kexec-tools-1.101-88.1

How reproducible:

Always.

Steps to Reproduce:
1. add 'ext3 LABEL=/1' to /etc/kdump.conf
2. execute kdump
3.
  
Actual results:

kdump fails to save vmcore to the dump partition.

Expected results:

kdump succeeds to save vmcore to the dump partition which is specified in
/etc/kdump.conf.

Additional info:

Appended patch fixes the problem.
Comment 1 Nobuhiro Tachino 2006-10-10 12:08:46 EDT
Created attachment 138155 [details]
mkdumprd.diff
Comment 2 Neil Horman 2006-10-10 13:20:46 EDT
I'm going to add this feature, but for the record, the documentation in
kdump.conf clearly indicates that that a partition must be specified with the
local filesystem options.  Opening requests for new features as bugs isn't going
to be acceptable after the beta 2 release.
Comment 3 Nobuhiro Tachino 2006-10-10 14:02:29 EDT
Would you please elaborate on the local filesystem options? I think the
following is the documentation for saving a dump to a local filesystem, but it
seems not to say that the partition must be specified as the block device file only.

# <fs type> <partition>  - will mount -t <fs type> <partition> /mnt and copy
/proc/vmcore to 
#			/mnt/var/crash/%DATE/
Comment 4 Neil Horman 2006-10-10 14:44:25 EDT
added in -90.el5
Comment 5 Jay Turner 2007-02-13 12:13:51 EST
kexec-tools-1.101-164.el5 included in 20070208.0.

Note You need to log in before you can comment on or make changes to this bug.